import type {
  IAdBreakParams,
  IAdConfigParams,
  IAdsInitParams,
  IAdUnitParams,
  JoliboxAds as IJoliboxAds
} from '@jolibox/types/dist/sdks/ads';
import { BaseSDK, BaseSDKEventMap } from './sdk';

type JoliboxAdsEventMap = BaseSDKEventMap

export class JoliboxAds extends BaseSDK<JoliboxAdsEventMap> implements IJoliboxAds {
  constructor() {
    super();
  }

  init = (config?: IAdsInitParams) => {
    this.commands.executeCommand('AdsSDK.init', config);
  };

  adConfig = (params: IAdConfigParams) => {
    this.commands.executeCommand('AdsSDK.adConfig', params);
  };

  adBreak = (params: IAdBreakParams) => {
    this.commands.executeCommand('AdsSDK.adBreak', params);
  };

  adUnit = (params: IAdUnitParams) => {
    this.commands.executeCommand('AdsSDK.adUnit', params);
  };
}
